Xampp 1.8.2: switch to PHP 4.4.9 HOW?

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Xampp 1.8.2: switch to PHP 4.4.9 HOW?

Postby maxpayne » 05. May 2014 16:17

Hi,
ich habe Xampp 1.8.2.5 installiert. Da ist PHP 5.4.27 dabei (weil eine neuere Version als 5.3 wohl minimum für kommende Joomla 3.3x Sites erforderlich wird...).
Die Version ist OK und meine Joomla 2.5.x und 3.x Site laufen damit auch.
Ich habe aber noch einige Joomla 1.0.xx Websites zu laufen, die nun mit PHP 5.4.27 überhaupt nicht mehr funktionieren.
Sie laufen aber unter PHP 4.4.9. Die PHP Version will ich mit
"AddHandler application/x-httpd-php4_4_9 .php" in der .htaccess Datei des jeweiligen Verzeichnis einschalten.

- Gleich vorweg zum Thema Joomla-Updates: die Joomla 1.0.xx-Sites sollen nicht auf 1.5/2.5/3.3 aktualisiert werden - sie sollen 1.0.xx Sites bleiben -

Wie kann ich nun PHP 4.4.9 parallel zum Laufen überreden?
Ich habe den Einbau nach dieser Anleitung versucht,

http://phpforum.de/forum/showthread.php?t=228309#Multiple_PHP_Versionen_unter_XAMPP

allerdings ist diese schon überholt, da der Code der Files
...xampp\apache\conf\extra\httpd-xampp.conf
...xampp\apache\conf\httpd.conf
irgendwie anders aussehen.

Kennt jemand eine aktuelle Anleitung PHP 4.4.9 neben PHP 5.4.x in Xampp 1.8.2.x zum laufen zu bringen?

Vielen Dank,
Max

GOOGLE TRANSLATION: ;-)
Hi ,
I installed v1.8.2.5 of Xampp . It contains PHP v5.4.27 (because a newer version than 5.3 probably minimum for future Joomla 3.3x sites is required ... ) .
The version is OK and my Joomla 2.5.x and 3.x Site running with it .
But I have some Joomla 1.0.xx sites which no longer work with PHP 5.4.27.
But they run with PHP 4.4.9 . I will use
" AddHandler application/x-httpd-php4_4_9 . Php" to switch between the versions using a .htaccess file in the respective directory.

- Talking about Joomla updates: Joomla 1.0.xx sites should not be updated on 1.5/2.5/3.3 - they should stay 1.0.xx Sites -

How can I run PHP 4.4.9 persuade parallel running now ?
I have tried the installation according to these instructions ,
http://phpforum.de/forum/showthread.php?t=228309 # Multiple_PHP_Versionen_unter_XAMPP
However, it is already obsolete, as the code of Files
... xampp \ apache \ conf \ extra \ will httpd xampp.conf
... xampp \ apache \ conf \ httpd.conf
looks somehow different.

Does anyone know a current manual how to run PHP 4.4.9 beside PHP 5.4.x under Xampp 1.8.2.x ?

Thank you,
Max
maxpayne
 
Posts: 3
Joined: 05. May 2014 15:49
Operating System: WinServer03

Re: Xampp 1.8.2: switch to PHP 4.4.9 HOW?

Postby maxpayne » 06. May 2014 07:52

Ist meine Frage verständlich formuliert?
Oder gehört sie in einen anderen Fred?
maxpayne
 
Posts: 3
Joined: 05. May 2014 15:49
Operating System: WinServer03

Re: Xampp 1.8.2: switch to PHP 4.4.9 HOW?

Postby maxpayne » 09. May 2014 18:25

:? :( ...
Really a great forum ... alive anyone? :P
maxpayne
 
Posts: 3
Joined: 05. May 2014 15:49
Operating System: WinServer03

Re: Xampp 1.8.2: switch to PHP 4.4.9 HOW?

Postby Altrea » 09. May 2014 19:14

We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8299
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 10 guests